* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif, sans-serif;
    background: #25282f;
}

h1 {
    font-size: 6rem;
}

p {
    font-size: 14px;
}

.contenedor {
    padding: 30px;
    display: grid;
    grid-template-columns: 1fr 2fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 3fr 1fr;
    gap: 20px;
    height: 100vh;
}

/* Bauhaus Box */
.caja {
    padding: 30px;
}

.caja:nth-of-type(1) {
    grid-row: 1;
    grid-column: 1;
}

.caja:nth-of-type(2) {
    grid-row: 1/4;
    grid-column: 2;
}

.caja:nth-of-type(3) {
    grid-row: 1;
    grid-column: 3/6;
}

.caja:nth-of-type(4) {
    grid-row: 2/4;
    grid-column: 1;
}

.caja:nth-of-type(5) {
    grid-row: 2/3;
    grid-column: 3/6;
    text-align: right;
    padding-left: 200px;
}

.caja:nth-of-type(5) h1 {
    line-height: 1.1em;
    padding-top: 40px;
    padding-bottom: 30px;
}

.caja:nth-of-type(6) {
    grid-row: 3;
    grid-column: 3;
}

.caja:nth-of-type(7) {
    grid-row: 3;
    grid-column: 4;
}

.caja:nth-of-type(8) {
    grid-row: 3;
    grid-column: 5;
}

.caja-red {
    background: #b93e37;
}

.caja-blue {
    background: #2952ba;
}

.caja-yellow {
    background: #d1ac39;
}

.caja-white {
    background: #fff;
}

/* Mobile */
@media (max-width: 768px) {
    .contenedor {
        grid-template-columns: 1fr;
    }

    .caja:nth-of-type(1),
    .caja:nth-of-type(2),
    .caja:nth-of-type(3),
    .caja:nth-of-type(4),
    .caja:nth-of-type(5),
    .caja:nth-of-type(6),
    .caja:nth-of-type(7),
    .caja:nth-of-type(8) {
        grid-column: 1;
    }

    .caja:nth-of-type(1) {
        grid-row: 1;
    }

    .caja:nth-of-type(2) {
        grid-row: 2;
    }

    .caja:nth-of-type(3) {
        grid-row: 3;
    }

    .caja:nth-of-type(4) {
        grid-row: 4;
    }

    .caja:nth-of-type(5) {
        grid-row: 5;
        text-align: center;
        padding: 20px;
    }

    .caja:nth-of-type(5) h1 {
        padding-top: 0;
    }

    .caja:nth-of-type(6) {
        grid-row: 6;
    }

    .caja:nth-of-type(7) {
        grid-row: 7;
    }

    .caja:nth-of-type(8) {
        grid-row: 8;
    }
}